<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:param name="baseActionURL">render.userLayoutRootNode.uP</xsl:param>
<xsl:param name="currentSkin">vt</xsl:param>
<xsl:variable name="mediaPath">media/org/jasig/portal/layout/tab-column/nested-divs</xsl:variable>

	<xsl:template match="/">
		<xsl:apply-templates select="skins"/>
	</xsl:template>

	<xsl:template match="skins">
		<form name="form1" method="post" action="{$baseActionURL}">
		<fieldset>
		<table border="0" cellpadding="0" cellspacing="5" width="100%" class="uportal-background-med"><tr>
		<td width="100%"><strong>Skin Selection:</strong> Select a portal skin below, then click [Apply].</td>
		<td><input type="submit" name="submitSave" value="Apply" class="uportal-button" style="width:75px;" /></td>
		<td><input type="submit" name="submitCancel" value="Cancel" class="uportal-button" style="width:75px;" /></td> 
		</tr></table>

		<table border="0" cellpadding="0" cellspacing="5" width="100%">
		<xsl:apply-templates select="skin">
			<xsl:sort select="skin-name"/>
		</xsl:apply-templates>
		</table>

		<table border="0" cellpadding="0" cellspacing="5" width="100%" class="uportal-background-med"><tr>
		<td width="100%"><strong>Skin Selection:</strong> Select a portal skin below, then click [Apply].</td>
		<td><input type="submit" name="submitSave" value="Apply" class="uportal-button" style="width:75px;" /></td>
		<td><input type="submit" name="submitCancel" value="Cancel" class="uportal-button" style="width:75px;" /></td> 
		</tr></table>

		<input type="hidden" name="action" value="completeEdit" />
		</fieldset>
		</form>
	</xsl:template>

	<xsl:template match="skin">
		<tr>
		<xsl:choose>
		<xsl:when test="$currentSkin=skin">
			<td valign="top" align="center"><input type="radio" name="skinName" value="{skin}" checked="checked" /></td>
		</xsl:when>
		<xsl:otherwise>
			<td valign="top" align="center"><input type="radio" name="skinName" value="{skin}" /></td>
		</xsl:otherwise>
		</xsl:choose>
		
		<td><img src="{$mediaPath}/{skin}/skin/thumb.gif" width="120" height="90" hspace="5" alt="{skin-name} thumbnail" /></td>

		<td valign="top" width="100%">
		<strong>Name:</strong>&#160;<xsl:value-of select="skin-name"/><br />
		<strong>Description:</strong>&#160;<xsl:value-of select="skin-description"/><br />
		<strong>Recommended Browsers:</strong>&#160;<xsl:value-of select="recommended-browsers" />
		</td></tr>

	</xsl:template>
</xsl:stylesheet>